Skip to main content
`Ctrl`+`K`
scipy.interpolate.PchipInterpolator.

# __call__

PchipInterpolator.__call__(x, nu=0, extrapolate=None)

  Evaluate the piecewise polynomial or its derivative.

  Parameters:
    x array_like

      Points to evaluate the interpolant at.

    nu int, optional

      Order of derivative to evaluate. Must be non-negative.

    extrapolate{bool, ‘periodic’, None}, optional

      If bool, determines whether to extrapolate to out-of-bounds points based on first and last intervals, or to return NaNs. If ‘periodic’, periodic extrapolation is used. If None (default), use self.extrapolate.

  Returns:
    y array_like

      Interpolated values. Shape is determined by replacing the interpolation axis in the original array with the shape of x.

  Notes

  Derivatives are evaluated piecewise for each polynomial segment, even if the polynomial is not differentiable at the breakpoints. The polynomial intervals are considered half-open, `[a, b)`, except for the last interval which is closed `[a, b]`.